### Constructor

# Gegl Node new_from_file

#### Declaration [src]

    GeglNode*
    gegl_node_new_from_file (
      const gchar* path
    )

#### Description [src]

The `GeglNode` returned contains the graph described by the tree of stacks in the XML document. The tree is connected to the “output” pad of the returned node and thus can be used directly for processing.

#### Parameters

`path`

  Type: `const gchar*`

  The path to a file on the local file system to be parsed.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GeglNode`

A GeglNode containing the parsed XML as a subgraph.

The caller of the function takes ownership of the data, and is responsible for freeing it.